#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Patterns/Misc.pm,v 1.3 2005/06/08 02:51:43 jimmylin Exp $
#
#>
#< Header
package Aranea::Patterns::Misc;

use strict;
use warnings;

use Exporter;

our @ISA = qw(Exporter);
our @EXPORT = qw();
our @EXPORT_OK = qw($LANGUAGE);

#>

#< regexp: LANGUAGE
our $LANGUAGE = qr{(?:Afar|Afghan|Afghan\s+Persian|Afrikaans|Akan|Albanian|Alemannic|Alsatian|Amerindian|Amharic|Angaur|Arabic|Aramaic|Armenian|Assamese|Assyrian|Aymara|Azeri|Bahasa|Bahasa\s+Indonesia|Balochi|Baluchi|Bambara|Bandjabi|Bangla|Bantu|Bapounou|Basque|Bateke|Bemba|Bengali|Berber|Bhotes|Bichelama|Bislama|Bojpoori|Bosnian|Brahui|Brazilero|Breton|Bubi|Bulgarian|Burmese|Burushaski|Byelorussian|Cakchiquel|Cantonese|Carolinian|Castilian|Castilian\s+Spanish|Catalan|Chamorro|Chichewa|Chinese|Circassian|Comoran|Corsican|Creole|Criolo|Crioulo|Czech|Czechoslovak|Dagomba|Danish|Dari|Diola|Dioula|Divehi|Djerma|Dutch|Dzongkha|English|Eschira|Eskimo|Estonian|Ewe|Fang|Faroese|Farsi|Fijian|Finnish|Flemish|Fon|French|Fula|Fulani|Fuzhou|Ga|Gaelic|Gagauz|Galician|Gan|Garifuna|Georgian|German|Gilbertese|Greek|Greenlandic|Guaraginga|Guarani|Gujarati|Haitian|Hakka|Hasaniya|Hasaniya\s+Arabic|Hassaniya|Hassaniya\s+Arabic|Hausa|Hawaiian|Hebrew|Herero|Hindi|Hindko|Hindu|Hindustani|Hokkien|Hokkien-Taiwanese|Hungarian|Hunsa|Ibo|Icelandic|Inuit|Irish|Italian|Japanese|Javanese|Kabiye|Kabye|Kannada|Kaonda|Kashmiri|Kazak|Kekchi|Khalkha\s+Mongol|Khmer|Kikongo|Kingwana|Kinyarwanda|Kirghiz|Kirundi|Kiswahili|Kiunguju|Korean|Krio|Kunama|Kurdish|Kyrgyz|Lao|Lapp|Latin|Latvian|Lettish|Lingala|Lithuanian|Lozi|Luganda|Lunda|Luri|Luvale|Luxembourgian|Luxembourgish|Mahorian|Malagasy|Malay|Malayalam|Malayo-Polynesian|Maldivian|Maldivian\s+Divehi|Maltese|Mandarin|Mandarin\s+Chinese|Mandingo|Mandinka|Manx\s+Gaelic|Maori|Marathi|Marshallese|Mayan|Melanesian|Melanesian-Polynesian|Mende|Min|Mina|Minbei|Minnan|Moldovan|Mon-Khmer|Monegasque|Mongol|Moroccan\s+Arabic|Moshi-Dagomba|Motu|Myene|Nahua|Nama|Nauruan|Ndebele|Nepalese|Nepali|Nilo-Hamitic|Nilotic|Norman-French|Norwegian|Nubian|Nyanja|Old\s+Norse|Oriya|Orominga|Oshivambo|Palauan|Panamanians|Papiamento|Pashai|Pashtu|Pedi|Persian|Pilipino|Pohnpeian|Polish|Polynesian|Portuguese|Portunon|Pulaar|Pular|Punjabi|Putonghua|Qazaq|Quechua|Quiche|Romanian|Romansch|Russian|Sabah|Samoan|Sangho|Sango|Sanskrit|Sara|Scottish|Serbo-Croatian|Setswana|Shanghaiese|Shona|Sindebele|Sindhi|Sinhala|Siraiki|Slovak|Slovene|Slovenian|Somali|Soninke|Sonsorolese|Sotho|Spanish|Sranang|Sranang\s+Tongo|Standard\s+Chinese|Sudanic|Surinamese|Swahili|Swazi|Swedish|Swiss|Ta\s+Bedawie|Tagalog|Tahitian|Taiwanese|Tajik|Taki-Taki|Tamil|Telugu|Temne|Thai|Tibetan|Tigre|Tigrinya|Tobi|Tokelauan|Tongan|Trukese|Tshiluba|Tsonga|Tswana|Turkic|Turkish|Turkmen|Tuvaluan|Ukrainian|Urdu|Uzbek|Venda|Vietnamese|Wallisian|Welsh|Wolof|Wu|Xhosa|Xiang|Yapese|Yiddish|Yoruba|Yue|Zulu)}o;
#>

1;
